import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1';
const project = 'file';
const mongodb = 'file-upload_v1';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1672292154640_488',
  swagger: {
    swaggerPath: `/${project}/v1/api/doc`,
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${mongodb}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  export: {
    root_path: '/mnt/server/midway-upload/upload',
    file_type: 'fileuploadv1',
  },
} as MidwayConfig;
